Login  |  Register
HTML5 Icon HTML5 Icon HTML5 Icon
TP on Social Media

Recent

Welcome, Guest. Please login or register.
Did you miss your activation email?

January 22, 2021, 05:38:57 PM

Login with username, password and session length
Members
Stats
  • Total Posts: 191741
  • Total Topics: 20939
  • Online Today: 62
  • Online Ever: 1035
  • (November 26, 2020, 04:45:12 AM)
Users Online
Users: 1
Guests: 44
Total: 45

Author Topic: I need TP 0.9.8  (Read 7150 times)

0 Members and 1 Guest are viewing this topic.

jocker

  • Guest
I need TP 0.9.8
« on: May 01, 2010, 12:42:27 PM »
Hi,
I know Tinyportal 0.9.8 is very old and that you don't support it anymore, but I have to move to a new host a website that is still using it.
Transferring all the files and importing the old DB produces all sort of PHP errors and Internal server errors, so I opted to do a clean install of SMF + TP + other packages one at a time, and then import some DB tables. After everything is working fine i will upgrade to TP 1.0.X
If anyone in this forum happen to still have a copy of TP 0.9.8 i would really appreciate if he could send me a link to it
thank you!

ccbtimewizard

  • Guest
Re: I need TP 0.9.8
« Reply #1 on: May 01, 2010, 01:13:31 PM »
If you're getting internal server errors, then cleanly installing won't make a difference at all.

Offline Freddy

  • Code
  • *
  • Posts: 1615
    • AiDreams
Re: I need TP 0.9.8
« Reply #2 on: May 01, 2010, 01:25:39 PM »
Jocker,

If you use FTP and navigate to your old forum's packages folder, unless you deleted it, you should find the original TP zip in there I think.

jocker

  • Guest
Re: I need TP 0.9.8
« Reply #3 on: May 01, 2010, 01:49:12 PM »
thank you for your replies so far

If you're getting internal server errors, then cleanly installing won't make a difference at all.
already tried, a new install doesn't show any error. I installed SMF 1.1.11 + TP 1.0 b5-1 + a bunch of modification and they work fine. I just can't find a fast and easy way to bring 0.9.8 blocks and articles to 1.0

Jocker,

If you use FTP and navigate to your old forum's packages folder, unless you deleted it, you should find the original TP zip in there I think.
TP is missing from that folder, I found other packages recently installed but not the oldest ones like TP

Offline ZarPrime

  • Friends
  • *
  • Posts: 4653
Re: I need TP 0.9.8
« Reply #4 on: May 02, 2010, 09:42:58 AM »
Hi jocker,

Welcome to TinyPortal.

Are you saying that this site you are working on works fine on the old host but, after transfer to the new host, you have these errors you speak of?  That really doesn't make any sense, unless you have some ownership problems or permission problems on the new host.

My suggestion would be to do a complete database backup using phpMyAdmin on the old site, and use FTP to download the entire site to a temp folder on your computer.  After that, create a new database on the new server and import the backed up database into it.  Then upload the files to the new server, change the settings.php so that it finds the database (repair_settings.php might help --> http://docs.simplemachines.org/index.php?topic=663.msg5551#msg5551) and find out what happens.

BTW, what kind of errors are you seeing?  Also, BTW, many hosts that you move to will transfer an entire site from your old host to the new host if you give them this opportunity.

TP 0.98 was pulled by Bloc and is no longer available.  I don't even have it on my computer and even if I did, I could not send it to you.

ZarPrime
« Last Edit: May 02, 2010, 09:45:37 AM by ZarPrime »

jocker

  • Guest
Re: I need TP 0.9.8
« Reply #5 on: May 02, 2010, 11:25:14 AM »
Are you saying that this site you are working on works fine on the old host but, after transfer to the new host, you have these errors you speak of?  That really doesn't make any sense, unless you have some ownership problems or permission problems on the new host.
yes, i get "500 internal server error" or completely empty pages (content-lengh 0)

My suggestion would be to do a complete database backup using phpMyAdmin on the old site, and use FTP to download the entire site to a temp folder on your computer.  After that, create a new database on the new server and import the backed up database into it.  Then upload the files to the new server, change the settings.php so that it finds the database (repair_settings.php might help --> http://docs.simplemachines.org/index.php?topic=663.msg5551#msg5551) and find out what happens.
that's what I did to get the above result. Then I tried doing a clean install and then importing back some tables of the DB (no prettyurls, settings and themes) and with some tweaks it almost did the trick.

Quote
BTW, what kind of errors are you seeing?  Also, BTW, many hosts that you move to will transfer an entire site from your old host to the new host if you give them this opportunity.
not an option, the new host is me. I own a box we use for public gameservers hosting and we wish to move there the website too to cut on costs and have more flexibility

I'll play with it a bit more, and let you know if I need any other help, thank you again